
Redmine - Defect #13566

SystemStackError (stack level too deep) - Ruby 1.8.7

2013-03-22 23:04 - Todd Hambley

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Error 500 when trying to create new projects except at the end of the list.

Changes made in r11497 for Ruby 2.0 appear to be to blame.  See #13327.  I undid these changes and to correct my issue in Ruby

1.8.7.

Error notification:

A SystemStackError occurred in projects#update:

  stack level too deep

  app/models/project.rb:289:in `base_reload'

 Environment:

  Redmine version    2.3.0.stable.11670

  Ruby version       1.8.7 (i686-linux)

  Rails version      3.2.13

  Environment        production

  Database adapter   MySQL

 Stack Trace:

  app/models/project.rb:289:in `base_reload'

  app/models/project.rb:301:in `base_reload'

  app/models/project.rb:301:in `reload'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:485:in `reload_neste

d_set'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:494:in `move_to'

  activerecord (3.2.13) lib/active_record/connection_adapters/abstract/database_statements.rb:192:

in `transaction'

  activerecord (3.2.13) lib/active_record/transactions.rb:208:in `transaction'

  activerecord (3.2.13) lib/active_record/transactions.rb:250:in `transaction'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:426:in `in_tenacious

_transaction'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:492:in `move_to'

  activesupport (3.2.13) lib/active_support/callbacks.rb:403:in `_run__709723879__move__4__callbac

ks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.13) lib/active_support/callbacks.rb:385:in `_run_move_callbacks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `run_callbacks'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:491:in `move_to'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/awesome_nested_set.rb:351:in `move_to_left

_of'

  app/models/project.rb:1010:in `set_or_update_position_under'

  app/models/project.rb:1000:in `update_position_under_parent'

  activesupport (3.2.13) lib/active_support/callbacks.rb:457:in `_run__709723879__save__4__callbac

ks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `__run_callback'
  activesupport (3.2.13) lib/active_support/callbacks.rb:385:in `_run_save_callbacks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `run_callbacks'

  activerecord (3.2.13) lib/active_record/callbacks.rb:264:in `create_or_update'

  activerecord (3.2.13) lib/active_record/persistence.rb:84:in `save'

  activerecord (3.2.13) lib/active_record/validations.rb:50:in `save'

  activerecord (3.2.13) lib/active_record/attribute_methods/dirty.rb:22:in `save'

  activerecord (3.2.13) lib/active_record/transactions.rb:259:in `save'

  activerecord (3.2.13) lib/active_record/transactions.rb:313:in `with_transaction_returning_statu

s'

  activerecord (3.2.13) lib/active_record/connection_adapters/abstract/database_statements.rb:192:

in `transaction'

  activerecord (3.2.13) lib/active_record/transactions.rb:208:in `transaction'

  activerecord (3.2.13) lib/active_record/transactions.rb:311:in `with_transaction_returning_statu

s'

  activerecord (3.2.13) lib/active_record/transactions.rb:259:in `save'

  activerecord (3.2.13) lib/active_record/transactions.rb:270:in `rollback_active_record_state!'

  activerecord (3.2.13) lib/active_record/transactions.rb:258:in `save'

  app/controllers/projects_controller.rb:182:in `update'

  actionpack (3.2.13) lib/action_controller/metal/implicit_render.rb:4:in `send_action'

  actionpack (3.2.13) lib/action_controller/metal/implicit_render.rb:4:in `send_action'

  actionpack (3.2.13) lib/abstract_controller/base.rb:167:in `process_action'

  actionpack (3.2.13) lib/action_controller/metal/rendering.rb:10:in `process_action'

  actionpack (3.2.13) lib/abstract_controller/callbacks.rb:18:in `process_action'

  activesupport (3.2.13) lib/active_support/callbacks.rb:480:in `_run__984331428__process_action__

942183835__callbacks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.13) lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `run_callbacks'

  actionpack (3.2.13) lib/abstract_controller/callbacks.rb:17:in `process_action'

  actionpack (3.2.13) lib/action_controller/metal/rescue.rb:29:in `process_action'

  actionpack (3.2.13) lib/action_controller/metal/instrumentation.rb:30:in `process_action'

  activesupport (3.2.13) lib/active_support/notifications.rb:123:in `instrument'

  activesupport (3.2.13) lib/active_support/notifications/instrumenter.rb:20:in `instrument'

  activesupport (3.2.13) lib/active_support/notifications.rb:123:in `instrument'

  actionpack (3.2.13) lib/action_controller/metal/instrumentation.rb:29:in `process_action'

  actionpack (3.2.13) lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

  activerecord (3.2.13) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

  actionpack (3.2.13) lib/abstract_controller/base.rb:121:in `process'

  actionpack (3.2.13) lib/abstract_controller/rendering.rb:45:in `process'

  actionpack (3.2.13) lib/action_controller/metal.rb:203:in `dispatch'

  actionpack (3.2.13) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

  actionpack (3.2.13) lib/action_controller/metal.rb:246:in `action'

  actionpack (3.2.13) lib/action_dispatch/routing/route_set.rb:73:in `call'

  actionpack (3.2.13) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

  actionpack (3.2.13) lib/action_dispatch/routing/route_set.rb:36:in `call'

  journey (1.0.4) lib/journey/router.rb:68:in `call'

  journey (1.0.4) lib/journey/router.rb:56:in `each'

  journey (1.0.4) lib/journey/router.rb:56:in `call'

  actionpack (3.2.13) lib/action_dispatch/routing/route_set.rb:612:in `call'

  rack-openid (1.3.1) lib/rack/openid.rb:98:in `call'

  exception_notification (3.0.1) lib/exception_notifier.rb:41:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

  rack (1.4.5) lib/rack/etag.rb:23:in `call'

  rack (1.4.5) lib/rack/conditionalget.rb:35:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/head.rb:14:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

  plugins/redmine_dmsf/lib/redmine_dmsf/webdav/no_parse.rb:33:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/flash.rb:242:in `call'

  rack (1.4.5) lib/rack/session/abstract/id.rb:210:in `context'

  rack (1.4.5) lib/rack/session/abstract/id.rb:205:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/cookies.rb:341:in `call'

  activerecord (3.2.13) lib/active_record/query_cache.rb:64:in `call'

  activerecord (3.2.13) lib/active_record/connection_adapters/abstract/connection_pool.rb:479:in `

call'
  actionpack (3.2.13) lib/action_dispatch/middleware/callbacks.rb:28:in `call'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `_run__590683710__call__4__callbac

ks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.13) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `send'

  activesupport (3.2.13) lib/active_support/callbacks.rb:81:in `run_callbacks'

  actionpack (3.2.13) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.13) lib/rails/rack/logger.rb:32:in `call_app'

  railties (3.2.13) lib/rails/rack/logger.rb:18:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.4.5) lib/rack/methodoverride.rb:21:in `call'

  rack (1.4.5) lib/rack/runtime.rb:17:in `call'

  activesupport (3.2.13) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

  rack (1.4.5) lib/rack/lock.rb:15:in `call'

  actionpack (3.2.13) lib/action_dispatch/middleware/static.rb:63:in `call'

  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

  rack-cache (1.2) lib/rack/cache/context.rb:143:in `pass'

  rack-cache (1.2) lib/rack/cache/context.rb:155:in `invalidate'

  rack-cache (1.2) lib/rack/cache/context.rb:71:in `call!'

  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

  railties (3.2.13) lib/rails/engine.rb:479:in `call'

  railties (3.2.13) lib/rails/application.rb:223:in `call'

  railties (3.2.13) lib/rails/railtie/configurable.rb:30:in `send'

  railties (3.2.13) lib/rails/railtie/configurable.rb:30:in `method_missing'

  passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_

next_request'

  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handl

er'

  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:171:in `send'

  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:171:in `handle_spawn_applic

ation'

  passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:166:in `handle_spawn_applic

ation'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.12) lib/phusion_passenger/rack/application_spawner.rb:129:in `start'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rack_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rack_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:244:in `spawn_rack_application'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.12) helper-scripts/passenger-spawn-server:99

History

#1 - 2013-03-26 21:27 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Tests pass with ruby1.8.7. Can you give the exact steps to reproduce?
#2 - 2013-03-26 22:05 - Todd Hambley

We have projects like this:

\---ABC

\---BBB

\---CCC

\---DDD

\---EEE

    \---AAA

    \---BBB

    \---CCC

    \---DDD

    \---EEE

    \---FFF

    \---GGG

    \---HHH

    \---III

    \---JJJ

    \---KKK

    \---LLL

    \---MMM

 I was adding a project with no parent between CCC and DDD.  I tried to add it at the beginning of the list - AAA - and I got the same error.  I tried

adding it at the end of the list - ZZZ - and was successful.

#3 - 2013-03-27 05:02 - Todd Hambley

Please disregard.  I removed plugins and project insert succeeded.  Thanks for looking into it.

#4 - 2013-03-27 05:03 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
